[@rxap/material-table-system](../wiki/globals) / ToFilterColumnNamesPipe

# Class: ToFilterColumnNamesPipe

Defined in: [packages/angular/material/table-system/src/lib/table-filter/to-filter-column-names.pipe.ts:10](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/to-filter-column-names.pipe.ts#L10)

## Implements

- `PipeTransform`

## Constructors

### new ToFilterColumnNamesPipe()

> **new ToFilterColumnNamesPipe**(): [`ToFilterColumnNamesPipe`](../wiki/Class.ToFilterColumnNamesPipe)

#### Returns

[`ToFilterColumnNamesPipe`](../wiki/Class.ToFilterColumnNamesPipe)

## Methods

### transform()

> **transform**(`columns`): `string`[]

Defined in: [packages/angular/material/table-system/src/lib/table-filter/to-filter-column-names.pipe.ts:12](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/to-filter-column-names.pipe.ts#L12)

#### Parameters

##### columns

`string`[]

#### Returns

`string`[]

#### Implementation of

`PipeTransform.transform`
